##
##  traceur.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_traceur      0.0.111
%define       V_traceur_snap 20180105

#   package information
Name:         traceur
Summary:      ECMAScript 6 to ECMAScript 5/3 Transpiler
URL:          http://code.google.com/p/traceur-compiler/
Vendor:       Google Inc.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      Apache
Version:      %{V_traceur}
Release:      20180105

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/traceur/traceur-%{V_traceur}-%{V_traceur_snap}.tar.gz
Source1:      traceur.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    Traceur is an ECMAScript 6 to ECMAScript 5/3 transpiler that allows
    you to use features from the JavaScript future today. Traceur's goal
    is to inform the design of new JavaScript features which are only
    valuable if they allow you to write better code. Traceur allows you
    to try out new and proposed language features today, helping you say
    what you mean in your code while informing the standards process.

%track
    prog traceur = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/traceur/
        regex     = traceur-(\d+\.\d+\.\d+)-(\d+)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/traceur
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE traceur.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/traceur
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/traceur/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

